For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate manual verification screening
      • POSTCreate Veriff session
      • GETGet entity screening details
      • GETGet verification method
      • GETGet worker's KYC details
      • POSTSubmit external KYC
LogoLogo
SupportDeel Home
EndpointsScreenings

Get verification method

GET
/screenings/verification-method
GET
/rest/v2/screenings/verification-method
$curl -G https://api.letsdeel.com/rest/v2/screenings/verification-method \
> -H "Authorization: Bearer <token>" \
> -d country=CA \
> -d document_type=driving_license
1{
2 "data": {
3 "verification_method": "veriff"
4 }
5}

Returns the KYC verification method supported for a given combination of issuing country and document type. Token scopes: screenings:read, worker:read

Was this page helpful?
Previous

Get worker's KYC details

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

countrystringRequired=2 characters

The document’s issuing country code (ISO 3166-1 alpha-2)

document_typeenumRequired
The document to be provided during KYC
Allowed values:

Response

Successful operation
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication